| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bgraphseg.cpp File Reference

Segment images into density regions using a nondirected graph. More...

`#include "rwimg.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Variables
int | verbose
const char * | use []

## Detailed Description

Segment images into density regions using a nondirected graph.

Author
  Bernard Heymann

Date
  Created: 20110318
  Modified: 20160306

Definition in file bgraphseg.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 47 of file bgraphseg.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bgraphseg [options] input.img output.img",
"-----------------------------------------------",
"Segment images into density regions using a nondirected graph.",
" ",
"Actions:",
"-invert Invert density in the image before other operations.",
"-rescale -0.1,5.2 Rescale data to average and standard deviation before other operations.",
"-smooth 0.8 Smooth using a gaussian kernel with the given width.",
"-type srm Type of segmentation (simple, srm).",
"-minimum 2300 Join segments smaller than this size.",
"-voxel 23,241,193,1 Select the segment containing this voxel with an optional inversion flag.",
"-colorize Generate random segment colors.",
" ",
"Parameters:",
"-verbose 7 Verbose output.",
"-datatype u Force writing of a new data type.",
"-origin 0.8,-10,15.7 Set the origin (default from input image).",
"-connectivity Flag to use full neighbor connectivity (default 2*dimension).",
"-complexity 1.6 Segmentation complexity: larger value gives more regions (default 1).",
" ",
"Input:",
"-Mask mask.tif Mask to limit segmentation.",
" ",
NULL
}

Definition at line 19 of file bgraphseg.cpp.

## ◆ verbose

int verbose